## GnomeDbCanvasFkey

GnomeDbCanvasFkey —

##

# Synopsis

    struct      GnomeDbCanvasFkey;
    struct      GnomeDbCanvasFkeyClass;
    GooCanvasItem* gnome_db_canvas_fkey_new     (GooCanvasItem *parent,
                                                 GdaMetaTableForeignKey *fk,
                                                 ...);

## Object Hierarchy

      GObject
       +----GooCanvasItemSimple
             +----GooCanvasGroup
                   +----GnomeDbCanvasItem
                         +----GnomeDbCanvasFkey

## Implemented Interfaces

GnomeDbCanvasFkey implements GooCanvasItem.

## Properties

      "fk-constraint"        gpointer             : Write

## Description

## Details

### struct GnomeDbCanvasFkey

    struct GnomeDbCanvasFkey;

### struct GnomeDbCanvasFkeyClass

    struct GnomeDbCanvasFkeyClass {

    	GnomeDbCanvasItemClass    parent_class;
    };

### gnome_db_canvas_fkey_new ()

    GooCanvasItem* gnome_db_canvas_fkey_new     (GooCanvasItem *parent,
                                                 GdaMetaTableForeignKey *fk,
                                                 ...);

Creates a new canvas item to represent the `fkcons` FK constraint

`parent` : | the parent item, or NULL.
`fk` : |
`...` : | optional pairs of property names and values, and a terminating NULL.
Returns : | a new GooCanvasItem object

## Properties

"`fk-constraint`" (gpointer : Write) |